HestonExpansionEngine Class Reference
Pricing engines » Vanilla option engines

Heston-model engine for European options based on analytic expansions. More...

`#include <ql/pricingengines/vanilla/hestonexpansionengine.hpp>`

Inheritance diagram for HestonExpansionEngine:
[legend]

## Public Types

enum | HestonExpansionFormula { LPP2, LPP3, Forde }
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Public Member Functions

| HestonExpansionEngine (const boost::shared_ptr< HestonModel > &model, HestonExpansionFormula formula)
void | calculate () const
Public Member Functions inherited from GenericModelEngine< HestonModel, VanillaOption::arguments, VanillaOption::results >
| GenericModelEngine (const Handle< HestonModel > &model=Handle< HestonModel >())
| GenericModelEngine (const boost::shared_ptr< HestonModel > &model)
Public Member Functions inherited from GenericEngine< VanillaOption::arguments, VanillaOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Protected Attributes inherited from GenericModelEngine< HestonModel, VanillaOption::arguments, VanillaOption::results >
Handle< HestonModel > | model_
Protected Attributes inherited from GenericEngine< VanillaOption::arguments, VanillaOption::results >
VanillaOption::arguments | arguments_
VanillaOption::results | results_

## Detailed Description

Heston-model engine for European options based on analytic expansions.

References:

M Forde, A Jacquier, R Lee, The small-time smile and term structure of implied volatility under the Heston model SIAM Journal on Financial Mathematics, 2012 - SIAM

M Lorig, S Pagliarani, A Pascucci, Explicit implied vols for multifactor local-stochastic vol models arXiv preprint arXiv:1306.5447v3, 2014 - arxiv.org